Bug 255681 - Kernel 2.6.22-4-65 breaks ndiswrapper
Kernel 2.6.22-4-65 breaks ndiswrapper
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-08-26 22:04 EDT by Stephen Haffly
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-31 10:43:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Stephen Haffly 2007-08-26 22:04:21 EDT
Description of problem:

Kernel update breaks ndiswrapper and keeps wlan0 from connecting to
wireless network.  ndiswrapper -l reports alternate driver of b43 vice
bcm43xx_mac80211.  Wireless card is not recognized.  When b43 is added to the
blacklist, the card is recognized and the wireless network is recognized, but
regardless of how many attempts are made, it will not connect through
system-config-network, NetworkManager Applet, or Wireless Lan Assistant

When I revert to Kernel i686 with the corresponding ndiswrapper
and with the b43 removed from the blacklist, the network is recognized and the
lan connects as expected.

Version-Release number of selected component (if applicable):
kernel i686 updates
kmod-ndiswrapper i868 1.46- livna

How reproducible:
1.  Use yum to update f7 installation, which installs the two updates listed above.
2.  Reboot
3.  Network card will not initialize
4.  use ndiswrapper -l to list the driver (bcmwl5 : driver installed; device
(14E4:4320) present (alternate driver: b43)
5.  Add b43 to /etc/modprobe.d/blacklist
6.  reboot
7.  card initializes
8.  network attempts to connect unsuccessfully.  NetworkManager applet shows
activity, but Netspeed applet shows no traffic being transferred

Revert to previous kernel (
Revert to previous blacklist configuration
Network will then connect normally

Steps to Reproduce:
1. see above
Actual results:
Network fails to connect

Expected results:
Network should connect and work.

Additional info:
There is a Fedora Forum thread which discusses this problem: 
Comment 1 John W. Linville 2007-08-31 10:43:14 EDT
ndiswrapper is unsupportable...
Comment 2 John McHarry 2007-09-05 11:43:50 EDT
Problem also appears in the X86_64 version. 

Note You need to log in before you can comment on or make changes to this bug.